CHR(3)

NAME
chr - character constant conversion routines

SYNOPSIS
    #include <ast.h>
    int          chresc(const char* s, char** e);

DESCRIPTION
converts and returns the next character constant in the 0-terminated string s. If e is not 0 then *e is set to point to the next character in s on return. 0 is returned and e is not modified when the end of s is reached.

The following \ escape sequences are recognized:

\ooo
    The character represented by the octal code ooo.

\xxx
    The character represented by the hex code xx.

Alert (bell).

Backspace.

Formfeed.

Newline.

Carriage return.

Horizontal tab.

Vertical tab.

ESC (escape).

Backslash.

Other characters following \ are undefined (although for backwards compatibility they translate to themselves).

SEE ALSO
str(3)